summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2011-11-25 17:49:46 (GMT)
committerJames Meyer <james.meyer@operamail.com>2011-11-25 17:49:46 (GMT)
commit0fd8efd33c6e0d564960f76dbea56ee91fe3cf93 (patch)
treed985525a0ed9ba532048fa10df145e6420c614c4
parent811cc6e0d1159254b93e673f6d0088e8157ddee4 (diff)
downloadlinhes_pkgbuild-0fd8efd33c6e0d564960f76dbea56ee91fe3cf93.zip
linhes_pkgbuild-0fd8efd33c6e0d564960f76dbea56ee91fe3cf93.tar.gz
linhes_pkgbuild-0fd8efd33c6e0d564960f76dbea56ee91fe3cf93.tar.bz2
confuse & tilda: initial include.
confuse is required by tilda. tilda is another "xterm" like terminal that is always present and hides itself with a hotkey
-rw-r--r--abs/core/mv/confuse/PKGBUILD23
-rw-r--r--abs/core/mv/tilda/PKGBUILD26
-rw-r--r--abs/core/mv/tilda/config_053
-rw-r--r--abs/core/mv/tilda/tilda.install44
4 files changed, 146 insertions, 0 deletions
diff --git a/abs/core/mv/confuse/PKGBUILD b/abs/core/mv/confuse/PKGBUILD
new file mode 100644
index 0000000..6f713df
--- /dev/null
+++ b/abs/core/mv/confuse/PKGBUILD
@@ -0,0 +1,23 @@
+# $Id: PKGBUILD 17258 2010-05-22 14:32:23Z ibiru $
+# Maintainer : Ionut Biru <ibiru@archlinux.org>
+# Contributor: Roman Kyrylych <roman@archlinux.org>
+# Contributor: Alexander Mieland (dma147) <dma147@linux-stats.org>
+
+pkgname=confuse
+pkgver=2.7
+pkgrel=1
+pkgdesc="C-library for parsing configuration files"
+arch=('i686' 'x86_64')
+url="http://www.nongnu.org/confuse"
+license=('LGPL')
+depends=('glibc')
+source=(http://savannah.nongnu.org/download/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+options=('!libtool' '!emptydirs')
+md5sums=('45932fdeeccbb9ef4228f1c1a25e9c8f')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure --prefix=/usr --enable-shared
+ make || return 1
+ make DESTDIR="${pkgdir}" install
+}
diff --git a/abs/core/mv/tilda/PKGBUILD b/abs/core/mv/tilda/PKGBUILD
new file mode 100644
index 0000000..f8422bc
--- /dev/null
+++ b/abs/core/mv/tilda/PKGBUILD
@@ -0,0 +1,26 @@
+# Maintainer: William Rea <sillywilly@gmail.com>
+pkgname=tilda
+pkgver=0.9.6
+pkgrel=2
+pkgdesc="Linux terminal based on classic terminals from first person shooter games."
+url="http://tilda.sourceforge.net"
+license="GPL"
+depends=('vte' 'confuse' 'libglade' 'gtk2')
+makedepends=('gawk')
+source=('tilda-0.9.6.tar.gz' 'config_0')
+arch=('i686')
+build() {
+
+ cd $startdir/src/tilda-$pkgver/src
+# patch -p0 < $startdir/src/tilda.patch
+ cd $startdir/src/tilda-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR=$startdir/pkg install
+
+ mkdir -p $startdir/pkg/etc
+ cp $startdir/src/config_0 $startdir/pkg/etc/tilda_config
+
+}
+md5sums=('b44ebe04fdfd312e9ddc5e0ed77f4289'
+ '754753190e0990cd6fba27b3c931bd0e')
diff --git a/abs/core/mv/tilda/config_0 b/abs/core/mv/tilda/config_0
new file mode 100644
index 0000000..198afd3
--- /dev/null
+++ b/abs/core/mv/tilda/config_0
@@ -0,0 +1,53 @@
+tilda_config_version = "0.9.6"
+# image = ""
+# command = ""
+font = "Monospace 15"
+key = "F3"
+title = "Tilda"
+background_color = "white"
+# working_dir = ""
+web_browser = "firefox"
+lines = 7000
+max_width = 1612
+max_height = 532
+min_width = 1
+min_height = 1
+transparency = 0
+x_pos = 1114
+y_pos = 0
+tab_pos = 1
+backspace_key = 0
+delete_key = 1
+d_set_title = 3
+command_exit = 2
+scheme = 3
+slide_sleep_usec = 14607
+animation_orientation = 0
+scrollbar_pos = 2
+back_red = 0
+back_green = 0
+back_blue = 0
+text_red = 65535
+text_green = 65535
+text_blue = 65535
+scroll_background = true
+scroll_on_output = false
+notebook_border = true
+antialias = true
+scrollbar = false
+use_image = false
+grab_focus = true
+above = true
+notaskbar = true
+bold = true
+blinks = true
+scroll_on_key = true
+bell = false
+run_command = false
+pinned = true
+animation = false
+hidden = true
+centered_horizontally = true
+centered_vertically = false
+enable_transparency = false
+double_buffer = false
diff --git a/abs/core/mv/tilda/tilda.install b/abs/core/mv/tilda/tilda.install
new file mode 100644
index 0000000..42bc9eb
--- /dev/null
+++ b/abs/core/mv/tilda/tilda.install
@@ -0,0 +1,44 @@
+# This is a default template for a post-install scriptlet. You can
+# remove any functions you don't need (and this header).
+
+# arg 1: the new package version
+pre_install() {
+ /bin/true
+}
+
+# arg 1: the new package version
+post_install() {
+ MHOME=`cat /etc/passwd | grep "mythtv" | cut -d":" -f6`
+ if [ ! -e $MHOME/.keylaunchrc ]
+ then
+ echo "setting symlink for keylaunch"
+ ln -s /etc/keylaunchrc $MHOME/.keylaunchrc
+fi
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+pre_upgrade() {
+ /bin/true
+
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install
+}
+
+# arg 1: the old package version
+pre_remove() {
+ /bin/true
+}
+
+# arg 1: the old package version
+post_remove() {
+ /bin/true
+}
+
+op=$1
+shift
+$op $*